<?php
namespace App\Entity;

class EventHero
{

    private int $eid = 0;

    private string $name;

    private int $team = 0;

    private Skillz $skills;

    private Hero $hero;

    private User $user;

    private Event $event;

    public function __construct(Event $event, Hero $hero, int $team)
    {
        $this->event = $event;
        $this->eid = $hero->getId();
        $this->name = $hero->getName();
        $this->skills = $hero->getSkills();
        $this->team = $team;
        $this->hero = $hero;
        $this->user = $hero->getUser();
    }

    public function getSkills(): Skillz
    {
        return $this->skills;
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function getUser(): ?User
    {
        return $this->user;
    }

    public function getEvent(): ?Event
    {
        return $this->event;
    }

    public function getTeam(): ?int
    {
        return $this->team;
    }

    public function getHero(): ?Hero
    {
        return $this->hero;
    }

    public function getEid(): ?int
    {
        return $this->eid;
    }

    public function setSkills(Skillz $skills): self
    {
        $this->skills = $skills;

        return $this;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function setTeam(int $team): self
    {
        $this->team = $team;

        return $this;
    }

    public function setUser(?User $user): self
    {
        $this->user = $user;

        return $this;
    }

    public function setHero(?Hero $hero): self
    {
        $this->hero = $hero;

        return $this;
    }

    public function setEvent(?Event $event): self
    {
        $this->event = $event;

        return $this;
    }
}

